%global debug_package %{nil}
%global build_timestamp %{lua: print(os.date("%Y.%m.%d"))}
%global appname libcpuinfo

Name:           %{appname}-git
Version:        %{build_timestamp}
Release:        1%{?dist}
Summary:        a library to detect essential for performance optimization information about host CPU.
License:        ASL
URL:            https://github.com/pytorch/cpuinfo
#Source:

BuildRequires:  gcc-c++ cmake git

%description
a library to detect essential for performance optimization information about host CPU.

%prep
git clone --depth=1 %{url} .

%build
%cmake -DCMAKE_BUILD_TYPE=Release \
  -DCPUINFO_BUILD_BENCHMARKS=OFF \
  -DCPUINFO_BUILD_UNIT_TESTS=OFF \
  -DCPUINFO_BUILD_MOCK_TESTS=OFF
%cmake_build

%install
%cmake_install

%check

%files
/usr/bin/cache-info
/usr/bin/cpu-info
/usr/bin/cpuid-dump
/usr/bin/isa-info
/usr/include/cpuinfo.h
/usr/lib64/libcpuinfo.so
/usr/lib64/pkgconfig/libcpuinfo.pc
/usr/share/cpuinfo/cpuinfo-config.cmake
/usr/share/cpuinfo/cpuinfo-targets-release.cmake
/usr/share/cpuinfo/cpuinfo-targets.cmake

%changelog
